onedrive (2.5.6-1+np1+1.1) unstable; urgency=medium

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Thu, 05 Jun 2025 12:33:29 +0000

onedrive (2.5.6-1+np1) unstable; urgency=medium

  * add libdbus-1-dev to B-D
  * update patch
  * New upstream release

 -- Norbert Preining <norbert@preining.info>  Thu, 05 Jun 2025 14:24:54 +0200

onedrive (2.5.5-1+np1) unstable; urgency=medium

  * New upstream release

 -- Norbert Preining <norbert@preining.info>  Mon, 17 Mar 2025 07:49:52 +0700

onedrive (2.5.4-1+np1) unstable; urgency=medium

  * New upstream release

 -- Norbert Preining <norbert@preining.info>  Mon, 03 Feb 2025 16:47:39 +0900

onedrive (2.5.3-1+np1) unstable; urgency=medium

  * New upstream release

 -- Norbert Preining <norbert@preining.info>  Sat, 16 Nov 2024 11:11:20 +0900

onedrive (2.5.2-1+np4) unstable; urgency=medium

  * Try working around possibly unavailable systemd-dev

 -- Norbert Preining <norbert@preining.info>  Sat, 16 Nov 2024 11:07:05 +0900

onedrive (2.5.2-1+np3) unstable; urgency=medium

  * Revert previous change, add systemd-dev as build-dep

 -- Norbert Preining <norbert@preining.info>  Sat, 16 Nov 2024 11:01:00 +0900

onedrive (2.5.2-1+np2) unstable; urgency=medium

  * Pass in --with-systemdsystemunitdir=auto to hopefully help Ubuntu 24.10
    builds

 -- Norbert Preining <norbert@preining.info>  Sat, 16 Nov 2024 10:39:44 +0900

onedrive (2.5.2-1+np1) unstable; urgency=medium

  * New upstream release

 -- Norbert Preining <norbert@preining.info>  Mon, 30 Sep 2024 14:59:15 +0900

onedrive (2.5.1-1+np1) unstable; urgency=medium

  * New upstream release

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Sep 2024 14:13:52 +0900

onedrive (2.5.0-1+np2) unstable; urgency=medium

  * Enable debug

 -- Norbert Preining <norbert@preining.info>  Wed, 18 Sep 2024 09:18:28 +0900

onedrive (2.5.0-1+np1) unstable; urgency=medium

  * New upstream release

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Sep 2024 10:49:19 +0900

onedrive (2.4.25-1+np3) unstable; urgency=medium

  * Force rebuild to ensure new key is used

 -- Norbert Preining <norbert@preining.info>  Thu, 15 Aug 2024 09:06:22 +0900

onedrive (2.4.25-1+np2) unstable; urgency=medium

  * Add DEBTRANSFORM-RELEASE: 1 to control/dsc to ensure autobuild numbers
    are appended

 -- Norbert Preining <norbert@preining.info>  Fri, 05 Apr 2024 09:06:22 +0900

onedrive (2.4.25-1+np1) unstable; urgency=medium

  * New upstream

 -- Norbert Preining <norbert@preining.info>  Wed, 21 Jun 2023 14:34:11 +0900

onedrive (2.4.24-1+np1) unstable; urgency=medium

  * New upstream

 -- Norbert Preining <norbert@preining.info>  Tue, 20 Jun 2023 14:04:39 +0900

onedrive (2.4.23-1+np1) unstable; urgency=medium

  * New upstream

 -- Norbert Preining <norbert@preining.info>  Fri, 06 Jan 2023 09:12:52 +0900

onedrive (2.4.22-1+np1) unstable; urgency=medium

  * New upstream.

 -- Norbert Preining <norbert@preining.info>  Tue, 06 Dec 2022 09:14:40 +0900

onedrive (2.4.21-1+np2) unstable; urgency=medium

  * Add libcurl4 to dependencies as it seems that it is necessary.

 -- Norbert Preining <norbert@preining.info>  Fri, 02 Dec 2022 10:19:18 +0900

onedrive (2.4.21-1+np1) unstable; urgency=medium

  * New upstream.

 -- Norbert Preining <norbert@preining.info>  Tue, 27 Sep 2022 08:13:36 +0900

onedrive (2.4.20-1+np1) unstable; urgency=medium

  * New upstream

 -- Norbert Preining <norbert@preining.info>  Wed, 20 Jul 2022 21:54:45 +0900

onedrive (2.4.19-1+np1) unstable; urgency=medium

  * New upstream

 -- Norbert Preining <norbert@preining.info>  Wed, 15 Jun 2022 12:40:45 +0900

onedrive (2.4.18-1~np1) unstable; urgency=medium

  * New upstream.
  * Remove system-wide user service file even if it is a dangling symlink.

 -- Norbert Preining <norbert@preining.info>  Fri, 03 Jun 2022 09:46:43 +0900

onedrive (2.4.17-1~np3) unstable; urgency=medium

  * Remove system-wide user service file.

 -- Norbert Preining <norbert@preining.info>  Mon, 30 May 2022 12:24:27 +0900

onedrive (2.4.17-1~np2) unstable; urgency=medium

  * Try not to enable onedrive service.

 -- Norbert Preining <norbert@preining.info>  Mon, 30 May 2022 11:48:07 +0900

onedrive (2.4.17-1~np1) unstable; urgency=medium

  * New upstream version.

 -- Norbert Preining <norbert@preining.info>  Sat, 30 Apr 2022 10:33:24 +0900

onedrive (2.4.16-1~np1) unstable; urgency=medium

  * New upstream version.

 -- Norbert Preining <norbert@preining.info>  Thu, 10 Mar 2022 08:41:42 +0900

onedrive (2.4.15-1~np2) unstable; urgency=medium

  * Bin rebuild to fix checksums

 -- Norbert Preining <norbert@preining.info>  Wed, 23 Feb 2022 18:52:06 +0900

onedrive (2.4.15-1~np1) unstable; urgency=medium

  * New upstream version.

 -- Norbert Preining <norbert@preining.info>  Tue, 04 Jan 2022 08:18:41 +0900

onedrive (2.4.14-1~np1) unstable; urgency=medium

  * New upstream version.

 -- Norbert Preining <norbert@preining.info>  Wed, 24 Nov 2021 05:38:40 +0900

onedrive (2.4.13-1~np1) unstable; urgency=medium

  * Build for OBS.

 -- Norbert Preining <norbert@preining.info>  Mon, 19 Jul 2021 10:09:56 +0900

onedrive (2.4.10-1) unstable; urgency=medium

  * New upstream release.

 -- Norbert Preining <norbert@preining.info>  Mon, 22 Feb 2021 22:18:26 +0900

onedrive (2.4.9-1) unstable; urgency=medium

  * New upstream release.

 -- Norbert Preining <norbert@preining.info>  Sun, 27 Dec 2020 09:43:21 +0900

onedrive (2.4.8-1) unstable; urgency=medium

  * New upstream release

 -- Norbert Preining <norbert@preining.info>  Wed, 02 Dec 2020 16:50:40 +0900

onedrive (2.4.7-1) unstable; urgency=medium

  * New upstream release

 -- Norbert Preining <norbert@preining.info>  Mon, 09 Nov 2020 09:02:14 +0900

onedrive (2.4.6-1) unstable; urgency=medium

  * New upstream release
  * Update fish completion installation directory
  * Remove upstream included patch fix-fish-installation

 -- Norbert Preining <norbert@preining.info>  Sun, 04 Oct 2020 20:06:44 +0900

onedrive (2.4.4-1) unstable; urgency=medium

  * new upstream release

 -- Norbert Preining <norbert@preining.info>  Tue, 11 Aug 2020 10:59:19 +0900

onedrive (2.4.3-1) unstable; urgency=medium

  * new upstream release

 -- Norbert Preining <norbert@preining.info>  Thu, 02 Jul 2020 13:29:53 +0900

onedrive (2.4.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit (from
    ./configure), Name (from ./configure), Repository, Repository-
    Browse.

  [ Norbert Preining ]
  * new upstream release

 -- Norbert Preining <norbert@preining.info>  Wed, 27 May 2020 08:06:04 +0900

onedrive (2.4.0-1) unstable; urgency=medium

  * new upstream release
  * bump debhelper compat to 12

 -- Norbert Preining <norbert@preining.info>  Tue, 24 Mar 2020 16:57:02 +0900

onedrive (2.3.13-1) unstable; urgency=medium

  * new upstream release

 -- Norbert Preining <norbert@preining.info>  Tue, 31 Dec 2019 10:53:10 +0900

onedrive (2.3.12-1) unstable; urgency=medium

  * new upstream release

 -- Norbert Preining <norbert@preining.info>  Wed, 04 Dec 2019 10:18:12 +0900

onedrive (2.3.11-1) unstable; urgency=medium

  * new upstream release

 -- Norbert Preining <norbert@preining.info>  Tue, 05 Nov 2019 09:21:36 +0900

onedrive (2.3.10-1) unstable; urgency=medium

  * new upstream release
  * build on any arch (Closes: #939820)

 -- Norbert Preining <norbert@preining.info>  Wed, 02 Oct 2019 09:56:50 +0900

onedrive (2.3.9-1) unstable; urgency=medium

  * new upstream release
  * add -b debian to vcs-git

 -- Norbert Preining <norbert@preining.info>  Sun, 01 Sep 2019 10:43:05 +0900

onedrive (2.3.8-2) unstable; urgency=medium

  * disable init.d starting of onedrive

 -- Norbert Preining <norbert@preining.info>  Sun, 18 Aug 2019 08:51:51 +0900

onedrive (2.3.8-1) unstable; urgency=medium

  * new upstream release
  * update patch
  * init.d script support

 -- Norbert Preining <norbert@preining.info>  Sun, 18 Aug 2019 08:26:45 +0900

onedrive (2.3.7-3) unstable; urgency=medium

  * Try to work around disappearing systemd pkg-config on sbuild hosts
    (why on earth?) (Closes: #932317)

 -- Norbert Preining <norbert@preining.info>  Thu, 18 Jul 2019 01:08:00 +0900

onedrive (2.3.7-2) unstable; urgency=medium

  * Source only upload

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Jul 2019 11:48:37 +0900

onedrive (2.3.7-1) unstable; urgency=medium

  * new upstream release - fixes a critical bug in 2.3.6

 -- Norbert Preining <norbert@preining.info>  Thu, 04 Jul 2019 00:12:45 +0900

onedrive (2.3.6-1) unstable; urgency=medium

  * new upstream release
  * update patch

 -- Norbert Preining <norbert@preining.info>  Wed, 03 Jul 2019 07:52:35 +0900

onedrive (2.3.5-1) unstable; urgency=medium

  * new upstream release
  * update patches

 -- Norbert Preining <norbert@preining.info>  Wed, 19 Jun 2019 11:08:54 +0900

onedrive (2.3.4-1) experimental; urgency=medium

  * new upstream release (2.3.4)
  * update patches and rules file for changed layout

 -- Norbert Preining <norbert@preining.info>  Thu, 13 Jun 2019 09:14:02 +0900

onedrive (2.3.3-1) experimental; urgency=medium

  * new upstream release (2.3.3)
  * update patches
  * install completions

 -- Norbert Preining <norbert@preining.info>  Tue, 16 Apr 2019 11:55:40 +0900

onedrive (2.3.2-1) experimental; urgency=medium

  * new upstream releases (2.3.{0,1,2}
  * update patches

 -- Norbert Preining <norbert@preining.info>  Tue, 02 Apr 2019 11:10:36 +0900

onedrive (2.2.6-2) unstable; urgency=medium

  * upload to unstable

 -- Norbert Preining <norbert@preining.info>  Thu, 14 Mar 2019 07:45:46 +0900

onedrive (2.2.6-1) experimental; urgency=medium

  * new upstream release

 -- Norbert Preining <norbert@preining.info>  Tue, 12 Mar 2019 17:16:36 +0900

onedrive (2.2.5-1) unstable; urgency=medium

  * new upstream releases
  * enable notifications during build
  * update Vcs fields and maintainer email

 -- Norbert Preining <norbert@preining.info>  Thu, 17 Jan 2019 11:22:12 +0900

onedrive (2.2.1-1) unstable; urgency=medium

  * new upstream release
    - fix file renaming support
    - fix network error handling
    - include man page
  * update homepage to abraunegg gh
  * patch rework and cleanup
  * remove older conffile /etc/onedrive.conf

 -- Norbert Preining <preining@debian.org>  Tue, 04 Dec 2018 12:06:32 +0900

onedrive (2.2.0-1) unstable; urgency=medium

  * New upstream version 2.2.0
  * restrict building to archs where ldc is available
  * use ldmd2 instead of ldc2

 -- Norbert Preining <preining@debian.org>  Mon, 26 Nov 2018 10:05:51 +0900

onedrive (2.1.6-1) unstable; urgency=medium

  * New upstream version 2.1.6 - switching to abraunegg version
    - syncing works again (Closes: #913744)

 -- Norbert Preining <preining@debian.org>  Fri, 23 Nov 2018 10:57:57 +0900

onedrive (1.1.20180922~really1.1.3-1) unstable; urgency=medium

  * version 1.1.3
  * use again ldc as it is the default d compiler
  * adapt build system to upstream
  * bump standards version, no changes necessary

 -- Norbert Preining <preining@debian.org>  Sat, 22 Sep 2018 14:53:07 +0900

onedrive (1.1.20170919-2) unstable; urgency=medium

  * switch to gdc
  * bump standards version, no changes necessary

 -- Norbert Preining <preining@debian.org>  Wed, 15 Nov 2017 15:25:51 +0900

onedrive (1.1.20170919-1) unstable; urgency=medium

  * New upstream version 1.1.20170919
  * update/remove patches
  * bump standards version, no changes necessary

 -- Norbert Preining <preining@debian.org>  Tue, 19 Sep 2017 15:18:26 +0900

onedrive (1.1.20170523-1) unstable; urgency=medium

  * new checkout from git

 -- Norbert Preining <preining@debian.org>  Tue, 23 May 2017 20:26:56 +0900

onedrive (1.1.20170106-1) unstable; urgency=medium

  * new checkout from git
  * allow building with ldmd2

 -- Norbert Preining <preining@debian.org>  Tue, 24 Jan 2017 11:31:22 +0900

onedrive (1.1.20161012-2) unstable; urgency=medium

  * add patch to fix service file, and install it into right place
    (Closes: #842426) (Thanks to Alam Arias)

 -- Norbert Preining <preining@debian.org>  Sat, 29 Oct 2016 14:55:42 +0900

onedrive (1.1.20161012-1) unstable; urgency=medium

  * First release (Closes: #830946)

 -- Norbert Preining <preining@debian.org>  Wed, 12 Oct 2016 13:39:59 +0900
